
cc.Class({
    extends: cc.Component,

    properties: {
       GoldenLabel: cc.Node,
        Diamondlabel: {
            default: null,
            type: cc.Node,
        },
        ManageUI: cc.Node,

    },
    InitManageGlodenUI(){
        this.GoldenLabel.getComponent(cc.Label).string =this.FormatMoney(GlobalD.GameData.GetGolden().toString());
        this.Diamondlabel.getComponent(cc.Label).string =this.FormatMoney(GlobalD.GameData.GetDiamond().toString());
    },
    FormatMoney(s, n) {
        n = n > 0 && n <= 20 ? n : 2;
        s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
        var l = s.split(".")[0].split("").reverse(),
            r = s.split(".")[1];
        let t = "";
        for (let i = 0; i < l.length; i++) {
            t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
        }
        return t.split("").reverse().join(""); //+ "." + r;
    }
});
